/*===========================================================================*/
/*   (Eval/expddefine.scm)                                                   */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Eval/expddefine.scm -indent -o objs/obj_u/Eval/expddefine.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_loopz00zz__expander_definez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__expander_definez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zz__prognz00(obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_replacez12z12zz__prognz00(obj_t, obj_t);
static obj_t BGl_lambdazd2defineszd2zz__expander_definez00(obj_t);
static obj_t BGl_expandzd2evalzd2internalzd2definezd2zz__expander_definez00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_expandzd2evalzd2externalzd2definezd2zz__expander_definez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__expander_definez00();
static obj_t BGl_zc3anonymousza31397ze3z83zz__expander_definez00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t bgl_reverse(obj_t);
extern obj_t make_vector(int, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__expander_definez00();
static obj_t BGl__expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__expander_definez00 = BUNSPEC;
static obj_t BGl__expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t, obj_t, obj_t);
static obj_t BGl__expandzd2evalzd2definez00zz__expander_definez00(obj_t, obj_t, obj_t);
static bool_t BGl_internalzd2definitionzf3z21zz__expander_definez00;
static obj_t BGl_internalzd2beginzd2expanderz00zz__expander_definez00(obj_t);
static obj_t BGl_symbol2432z00zz__expander_definez00 = BUNSPEC;
static obj_t BGl_symbol2431z00zz__expander_definez00 = BUNSPEC;
static obj_t BGl_symbol2429z00zz__expander_definez00 = BUNSPEC;
static obj_t BGl_symbol2428z00zz__expander_definez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2evalzd2definez00zz__expander_definez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__expander_definez00();
BGL_EXPORTED_DECL obj_t BGl_expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t, obj_t);
extern obj_t BGl_parsezd2formalzd2identz00zz__expandz00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_expandzd2evalzd2lambdazd2envzd2zz__expander_definez00, BgL_bgl__expandza7d2evalza7d2lambdaza700za7za7__expander_defineza7002440z00, BGl__expandzd2evalzd2lambdaz00zz__expander_definez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2evalzd2definezd2envzd2zz__expander_definez00, BgL_bgl__expandza7d2evalza7d2defineza700za7za7__expander_defineza7002441z00, BGl__expandzd2evalzd2definez00zz__expander_definez00, 0L, 2 );
DEFINE_STRING( BGl_string2433z00zz__expander_definez00, BgL_bgl_string2433za700za7za7__expander_defineza7002442z00, "define-inline", 13 );
DEFINE_STRING( BGl_string2430z00zz__expander_definez00, BgL_bgl_string2430za700za7za7__expander_defineza7002443z00, "define", 6 );
DEFINE_STRING( BGl_string2427z00zz__expander_definez00, BgL_bgl_string2427za700za7za7__expander_defineza7002444z00, "Illegal form", 12 );
DEFINE_STRING( BGl_string2426z00zz__expander_definez00, BgL_bgl_string2426za700za7za7__expander_defineza7002445z00, "lambda", 6 );
DEFINE_STRING( BGl_string2425z00zz__expander_definez00, BgL_bgl_string2425za700za7za7__expander_defineza7002446z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2424z00zz__expander_definez00, BgL_bgl_string2424za700za7za7__expander_defineza7002447z00, "expand", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2evalzd2definezd2inlinezd2envz00zz__expander_definez00, BgL_bgl__expandza7d2evalza7d2defineza7d2inlineza7d2za7za7__expander_defineza7002448za7, BGl__expandzd2evalzd2definezd2inlinezd2zz__expander_definez00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expander_definez00(long BgL_checksumz00_1293, char * BgL_fromz00_1294)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__expander_definez00))
{ 
BGl_requirezd2initializa7ationz75zz__expander_definez00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__expander_definez00(); 
BGl_importedzd2moduleszd2initz00zz__expander_definez00(); 
BGl_toplevelzd2initzd2zz__expander_definez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__expander_definez00()
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 15 */
BGl_symbol2428z00zz__expander_definez00 = 
string_to_symbol("lambda"); 
BGl_symbol2429z00zz__expander_definez00 = 
string_to_symbol("define"); 
BGl_symbol2431z00zz__expander_definez00 = 
string_to_symbol("begin"); 
return ( 
BGl_symbol2432z00zz__expander_definez00 = 
string_to_symbol("set!"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__expander_definez00()
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 15 */
return ( 
BGl_internalzd2definitionzf3z21zz__expander_definez00 = ((bool_t)0), BUNSPEC) ;} 
}



/* loop */
obj_t BGl_loopz00zz__expander_definez00(obj_t BgL_ez00_1284, obj_t BgL_argsz00_367)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 53 */
if(
NULLP(BgL_argsz00_367))
{ /* ./Eval/expddefine.scm 55 */
return BNIL;}  else 
{ /* ./Eval/expddefine.scm 55 */
if(
SYMBOLP(BgL_argsz00_367))
{ /* ./Eval/expddefine.scm 57 */
return BgL_argsz00_367;}  else 
{ /* ./Eval/expddefine.scm 57 */
if(
PAIRP(BgL_argsz00_367))
{ /* ./Eval/expddefine.scm 61 */
bool_t BgL_test1013z00_372;
{ /* ./Eval/expddefine.scm 61 */
bool_t BgL_testz00_1311;
{ /* ./Eval/expddefine.scm 61 */
obj_t BgL_auxz00_1312;
BgL_auxz00_1312 = 
CAR(BgL_argsz00_367); 
BgL_testz00_1311 = 
PAIRP(BgL_auxz00_1312); } 
if(BgL_testz00_1311)
{ /* ./Eval/expddefine.scm 62 */
bool_t BgL_testz00_1315;
{ /* ./Eval/expddefine.scm 62 */
obj_t BgL_auxz00_1316;
{ /* ./Eval/expddefine.scm 62 */
obj_t BgL_auxz00_1317;
BgL_auxz00_1317 = 
CAR(BgL_argsz00_367); 
BgL_auxz00_1316 = 
CDR(BgL_auxz00_1317); } 
BgL_testz00_1315 = 
PAIRP(BgL_auxz00_1316); } 
if(BgL_testz00_1315)
{ /* ./Eval/expddefine.scm 63 */
obj_t BgL_auxz00_1321;
{ /* ./Eval/expddefine.scm 63 */
obj_t BgL_auxz00_1322;
{ /* ./Eval/expddefine.scm 63 */
obj_t BgL_auxz00_1323;
BgL_auxz00_1323 = 
CAR(BgL_argsz00_367); 
BgL_auxz00_1322 = 
CDR(BgL_auxz00_1323); } 
BgL_auxz00_1321 = 
CDR(BgL_auxz00_1322); } 
BgL_test1013z00_372 = 
NULLP(BgL_auxz00_1321); }  else 
{ /* ./Eval/expddefine.scm 62 */
BgL_test1013z00_372 = ((bool_t)0); } }  else 
{ /* ./Eval/expddefine.scm 61 */
BgL_test1013z00_372 = ((bool_t)0); } } 
if(BgL_test1013z00_372)
{ /* ./Eval/expddefine.scm 61 */
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_arg1015z00_373;obj_t BgL_arg1016z00_374;
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_arg1019z00_375;obj_t BgL_arg1020z00_376;
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_auxz00_1329;
BgL_auxz00_1329 = 
CAR(BgL_argsz00_367); 
BgL_arg1019z00_375 = 
CAR(BgL_auxz00_1329); } 
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_arg1032z00_380;
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_auxz00_1332;
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_auxz00_1333;
BgL_auxz00_1333 = 
CAR(BgL_argsz00_367); 
BgL_auxz00_1332 = 
CDR(BgL_auxz00_1333); } 
BgL_arg1032z00_380 = 
CAR(BgL_auxz00_1332); } 
BgL_arg1020z00_376 = 
PROCEDURE_ENTRY(BgL_ez00_1284)(BgL_ez00_1284, BgL_arg1032z00_380, BgL_ez00_1284, BEOA); } 
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_list1022z00_377;
{ /* ./Eval/expddefine.scm 66 */
obj_t BgL_arg1024z00_378;
BgL_arg1024z00_378 = 
MAKE_PAIR(BgL_arg1020z00_376, BNIL); 
BgL_list1022z00_377 = 
MAKE_PAIR(BgL_arg1019z00_375, BgL_arg1024z00_378); } 
BgL_arg1015z00_373 = BgL_list1022z00_377; } } 
BgL_arg1016z00_374 = 
BGl_loopz00zz__expander_definez00(BgL_ez00_1284, 
CDR(BgL_argsz00_367)); 
return 
MAKE_PAIR(BgL_arg1015z00_373, BgL_arg1016z00_374);} }  else 
{ /* ./Eval/expddefine.scm 61 */
{ /* ./Eval/expddefine.scm 64 */
obj_t BgL_auxz00_1346;obj_t BgL_auxz00_1344;
BgL_auxz00_1346 = 
BGl_loopz00zz__expander_definez00(BgL_ez00_1284, 
CDR(BgL_argsz00_367)); 
BgL_auxz00_1344 = 
CAR(BgL_argsz00_367); 
return 
MAKE_PAIR(BgL_auxz00_1344, BgL_auxz00_1346);} } }  else 
{ /* ./Eval/expddefine.scm 59 */
FAILURE(BGl_string2424z00zz__expander_definez00,BGl_string2425z00zz__expander_definez00,BgL_argsz00_367);} } } } 
}



/* expand-eval-lambda */
BGL_EXPORTED_DEF obj_t BGl_expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t BgL_xz00_3, obj_t BgL_ez00_4)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 72 */
{ /* ./Eval/expddefine.scm 73 */
bool_t BgL_oldzd2internalzd2_393;
BgL_oldzd2internalzd2_393 = BGl_internalzd2definitionzf3z21zz__expander_definez00; 
BGl_internalzd2definitionzf3z21zz__expander_definez00 = ((bool_t)1); 
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_resz00_394;
if(
PAIRP(BgL_xz00_3))
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_cdrzd2109zd2_401;
BgL_cdrzd2109zd2_401 = 
CDR(BgL_xz00_3); 
if(
PAIRP(BgL_cdrzd2109zd2_401))
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_cdrzd2113zd2_403;
BgL_cdrzd2113zd2_403 = 
CDR(BgL_cdrzd2109zd2_401); 
if(
NULLP(BgL_cdrzd2113zd2_403))
{ /* ./Eval/expddefine.scm 75 */
FAILURE(BGl_string2426z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_3);}  else 
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_arg1086z00_405;
BgL_arg1086z00_405 = 
CAR(BgL_cdrzd2109zd2_401); 
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_ez00_875;
BgL_ez00_875 = 
BGl_internalzd2beginzd2expanderz00zz__expander_definez00(BgL_ez00_4); 
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_arg1097z00_876;obj_t BgL_arg1098z00_877;
BgL_arg1097z00_876 = BGl_symbol2428z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_arg1101z00_878;obj_t BgL_arg1102z00_879;
BgL_arg1101z00_878 = 
BGl_loopz00zz__expander_definez00(BgL_ez00_875, BgL_arg1086z00_405); 
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_arg1106z00_880;
{ /* ./Eval/expddefine.scm 75 */
obj_t BgL_arg1110z00_882;
BgL_arg1110z00_882 = 
BGl_normaliza7ezd2prognz75zz__prognz00(BgL_cdrzd2113zd2_403); 
BgL_arg1106z00_880 = 
PROCEDURE_ENTRY(BgL_ez00_875)(BgL_ez00_875, BgL_arg1110z00_882, BgL_ez00_875, BEOA); } 
BgL_arg1102z00_879 = 
MAKE_PAIR(BgL_arg1106z00_880, BNIL); } 
BgL_arg1098z00_877 = 
MAKE_PAIR(BgL_arg1101z00_878, BgL_arg1102z00_879); } 
BgL_resz00_394 = 
MAKE_PAIR(BgL_arg1097z00_876, BgL_arg1098z00_877); } } } }  else 
{ /* ./Eval/expddefine.scm 75 */
FAILURE(BGl_string2426z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_3);} }  else 
{ /* ./Eval/expddefine.scm 75 */
FAILURE(BGl_string2426z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_3);} 
BGl_internalzd2definitionzf3z21zz__expander_definez00 = BgL_oldzd2internalzd2_393; 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_3, BgL_resz00_394);} } } 
}



/* _expand-eval-lambda */
obj_t BGl__expandzd2evalzd2lambdaz00zz__expander_definez00(obj_t BgL_envz00_1270, obj_t BgL_xz00_1271, obj_t BgL_ez00_1272)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 72 */
return 
BGl_expandzd2evalzd2lambdaz00zz__expander_definez00(BgL_xz00_1271, BgL_ez00_1272);} 
}



/* expand-eval-define */
BGL_EXPORTED_DEF obj_t BGl_expandzd2evalzd2definez00zz__expander_definez00(obj_t BgL_xz00_5, obj_t BgL_ez00_6)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 97 */
if(BGl_internalzd2definitionzf3z21zz__expander_definez00)
{ /* ./Eval/expddefine.scm 98 */
return 
BGl_expandzd2evalzd2internalzd2definezd2zz__expander_definez00(BgL_xz00_5, BgL_ez00_6);}  else 
{ /* ./Eval/expddefine.scm 98 */
return 
BGl_expandzd2evalzd2externalzd2definezd2zz__expander_definez00(BgL_xz00_5, BgL_ez00_6);} } 
}



/* _expand-eval-define */
obj_t BGl__expandzd2evalzd2definez00zz__expander_definez00(obj_t BgL_envz00_1273, obj_t BgL_xz00_1274, obj_t BgL_ez00_1275)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 97 */
return 
BGl_expandzd2evalzd2definez00zz__expander_definez00(BgL_xz00_1274, BgL_ez00_1275);} 
}



/* expand-eval-internal-define */
obj_t BGl_expandzd2evalzd2internalzd2definezd2zz__expander_definez00(obj_t BgL_xz00_7, obj_t BgL_ez00_8)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 105 */
{ 
obj_t BgL_namez00_414;obj_t BgL_argsz00_415;obj_t BgL_bodyz00_416;
if(
PAIRP(BgL_xz00_7))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2133zd2_424;
BgL_cdrzd2133zd2_424 = 
CDR(BgL_xz00_7); 
if(
PAIRP(BgL_cdrzd2133zd2_424))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_carzd2137zd2_426;obj_t BgL_cdrzd2138zd2_427;
BgL_carzd2137zd2_426 = 
CAR(BgL_cdrzd2133zd2_424); 
BgL_cdrzd2138zd2_427 = 
CDR(BgL_cdrzd2133zd2_424); 
if(
PAIRP(BgL_carzd2137zd2_426))
{ /* ./Eval/expddefine.scm 106 */
if(
NULLP(BgL_cdrzd2138zd2_427))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2156zd2_431;
BgL_cdrzd2156zd2_431 = 
CDR(BgL_cdrzd2133zd2_424); 
if(
PAIRP(BgL_cdrzd2156zd2_431))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_carzd2160zd2_433;
BgL_carzd2160zd2_433 = 
CAR(BgL_cdrzd2156zd2_431); 
if(
PAIRP(BgL_carzd2160zd2_433))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2165zd2_435;
BgL_cdrzd2165zd2_435 = 
CDR(BgL_carzd2160zd2_433); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1395;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1396;
BgL_auxz00_1396 = 
CAR(BgL_carzd2160zd2_433); 
BgL_testz00_1395 = 
(BgL_auxz00_1396==BGl_symbol2428z00zz__expander_definez00); } 
if(BgL_testz00_1395)
{ /* ./Eval/expddefine.scm 106 */
if(
PAIRP(BgL_cdrzd2165zd2_435))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2169zd2_438;
BgL_cdrzd2169zd2_438 = 
CDR(BgL_cdrzd2165zd2_435); 
if(
NULLP(BgL_cdrzd2169zd2_438))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2178zd2_440;
BgL_cdrzd2178zd2_440 = 
CDR(BgL_xz00_7); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2182zd2_441;
BgL_cdrzd2182zd2_441 = 
CDR(BgL_cdrzd2178zd2_440); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1406;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1407;
BgL_auxz00_1407 = 
CDR(BgL_cdrzd2182zd2_441); 
BgL_testz00_1406 = 
NULLP(BgL_auxz00_1407); } 
if(BgL_testz00_1406)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1128z00_443;obj_t BgL_arg1130z00_444;
BgL_arg1128z00_443 = 
CAR(BgL_cdrzd2178zd2_440); 
BgL_arg1130z00_444 = 
CAR(BgL_cdrzd2182zd2_441); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_925;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_926;obj_t BgL_arg1381z00_927;
BgL_arg1380z00_926 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_928;obj_t BgL_arg1385z00_929;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1412;
BgL_auxz00_1412 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1128z00_443); 
BgL_arg1384z00_928 = 
CAR(BgL_auxz00_1412); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_931;
BgL_arg1392z00_931 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1130z00_444, BgL_ez00_8, BEOA); 
BgL_arg1385z00_929 = 
MAKE_PAIR(BgL_arg1392z00_931, BNIL); } 
BgL_arg1381z00_927 = 
MAKE_PAIR(BgL_arg1384z00_928, BgL_arg1385z00_929); } 
BgL_resz00_925 = 
MAKE_PAIR(BgL_arg1380z00_926, BgL_arg1381z00_927); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_925);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } }  else 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1422;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1423;
BgL_auxz00_1423 = 
CDR(BgL_cdrzd2156zd2_431); 
BgL_testz00_1422 = 
NULLP(BgL_auxz00_1423); } 
if(BgL_testz00_1422)
{ /* ./Eval/expddefine.scm 106 */
BgL_namez00_414 = 
CAR(BgL_cdrzd2133zd2_424); 
BgL_argsz00_415 = 
CAR(BgL_cdrzd2165zd2_435); 
BgL_bodyz00_416 = BgL_cdrzd2169zd2_438; 
BgL_tagzd2117zd2_417:
{ /* ./Eval/expddefine.scm 110 */
obj_t BgL_resz00_519;
{ /* ./Eval/expddefine.scm 110 */
obj_t BgL_arg1343z00_520;obj_t BgL_arg1344z00_521;
BgL_arg1343z00_520 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 110 */
obj_t BgL_arg1347z00_522;obj_t BgL_arg1348z00_523;
{ /* ./Eval/expddefine.scm 110 */
obj_t BgL_auxz00_1426;
BgL_auxz00_1426 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_namez00_414); 
BgL_arg1347z00_522 = 
CAR(BgL_auxz00_1426); } 
{ /* ./Eval/expddefine.scm 111 */
obj_t BgL_arg1356z00_525;
{ /* ./Eval/expddefine.scm 111 */
obj_t BgL_arg1360z00_527;obj_t BgL_arg1361z00_528;
BgL_arg1360z00_527 = BGl_symbol2428z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 111 */
obj_t BgL_arg1364z00_529;obj_t BgL_arg1365z00_530;
BgL_arg1364z00_529 = 
BGl_loopz00zz__expander_definez00(BgL_ez00_8, BgL_argsz00_415); 
{ /* ./Eval/expddefine.scm 112 */
obj_t BgL_arg1370z00_531;
{ /* ./Eval/expddefine.scm 112 */
obj_t BgL_arg1374z00_533;
BgL_arg1374z00_533 = 
BGl_normaliza7ezd2prognz75zz__prognz00(BgL_bodyz00_416); 
BgL_arg1370z00_531 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1374z00_533, BgL_ez00_8, BEOA); } 
BgL_arg1365z00_530 = 
MAKE_PAIR(BgL_arg1370z00_531, BNIL); } 
BgL_arg1361z00_528 = 
MAKE_PAIR(BgL_arg1364z00_529, BgL_arg1365z00_530); } 
BgL_arg1356z00_525 = 
MAKE_PAIR(BgL_arg1360z00_527, BgL_arg1361z00_528); } 
BgL_arg1348z00_523 = 
MAKE_PAIR(BgL_arg1356z00_525, BNIL); } 
BgL_arg1344z00_521 = 
MAKE_PAIR(BgL_arg1347z00_522, BgL_arg1348z00_523); } 
BgL_resz00_519 = 
MAKE_PAIR(BgL_arg1343z00_520, BgL_arg1344z00_521); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_519);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2197zd2_450;
BgL_cdrzd2197zd2_450 = 
CDR(BgL_xz00_7); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2201zd2_451;
BgL_cdrzd2201zd2_451 = 
CDR(BgL_cdrzd2197zd2_450); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1445;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1446;
BgL_auxz00_1446 = 
CDR(BgL_cdrzd2201zd2_451); 
BgL_testz00_1445 = 
NULLP(BgL_auxz00_1446); } 
if(BgL_testz00_1445)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1160z00_453;obj_t BgL_arg1161z00_454;
BgL_arg1160z00_453 = 
CAR(BgL_cdrzd2197zd2_450); 
BgL_arg1161z00_454 = 
CAR(BgL_cdrzd2201zd2_451); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_952;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_953;obj_t BgL_arg1381z00_954;
BgL_arg1380z00_953 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_955;obj_t BgL_arg1385z00_956;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1451;
BgL_auxz00_1451 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1160z00_453); 
BgL_arg1384z00_955 = 
CAR(BgL_auxz00_1451); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_958;
BgL_arg1392z00_958 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1161z00_454, BgL_ez00_8, BEOA); 
BgL_arg1385z00_956 = 
MAKE_PAIR(BgL_arg1392z00_958, BNIL); } 
BgL_arg1381z00_954 = 
MAKE_PAIR(BgL_arg1384z00_955, BgL_arg1385z00_956); } 
BgL_resz00_952 = 
MAKE_PAIR(BgL_arg1380z00_953, BgL_arg1381z00_954); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_952);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } } }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2212zd2_456;
BgL_cdrzd2212zd2_456 = 
CDR(BgL_xz00_7); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2216zd2_457;
BgL_cdrzd2216zd2_457 = 
CDR(BgL_cdrzd2212zd2_456); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1463;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1464;
BgL_auxz00_1464 = 
CDR(BgL_cdrzd2216zd2_457); 
BgL_testz00_1463 = 
NULLP(BgL_auxz00_1464); } 
if(BgL_testz00_1463)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1177z00_459;obj_t BgL_arg1178z00_460;
BgL_arg1177z00_459 = 
CAR(BgL_cdrzd2212zd2_456); 
BgL_arg1178z00_460 = 
CAR(BgL_cdrzd2216zd2_457); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_972;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_973;obj_t BgL_arg1381z00_974;
BgL_arg1380z00_973 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_975;obj_t BgL_arg1385z00_976;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1469;
BgL_auxz00_1469 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1177z00_459); 
BgL_arg1384z00_975 = 
CAR(BgL_auxz00_1469); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_978;
BgL_arg1392z00_978 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1178z00_460, BgL_ez00_8, BEOA); 
BgL_arg1385z00_976 = 
MAKE_PAIR(BgL_arg1392z00_978, BNIL); } 
BgL_arg1381z00_974 = 
MAKE_PAIR(BgL_arg1384z00_975, BgL_arg1385z00_976); } 
BgL_resz00_972 = 
MAKE_PAIR(BgL_arg1380z00_973, BgL_arg1381z00_974); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_972);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } } } }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2231zd2_465;
BgL_cdrzd2231zd2_465 = 
CDR(BgL_cdrzd2133zd2_424); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1480;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1481;
BgL_auxz00_1481 = 
CDR(BgL_cdrzd2231zd2_465); 
BgL_testz00_1480 = 
NULLP(BgL_auxz00_1481); } 
if(BgL_testz00_1480)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1197z00_467;obj_t BgL_arg1198z00_468;
BgL_arg1197z00_467 = 
CAR(BgL_cdrzd2133zd2_424); 
BgL_arg1198z00_468 = 
CAR(BgL_cdrzd2231zd2_465); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_992;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_993;obj_t BgL_arg1381z00_994;
BgL_arg1380z00_993 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_995;obj_t BgL_arg1385z00_996;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1486;
BgL_auxz00_1486 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1197z00_467); 
BgL_arg1384z00_995 = 
CAR(BgL_auxz00_1486); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_998;
BgL_arg1392z00_998 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1198z00_468, BgL_ez00_8, BEOA); 
BgL_arg1385z00_996 = 
MAKE_PAIR(BgL_arg1392z00_998, BNIL); } 
BgL_arg1381z00_994 = 
MAKE_PAIR(BgL_arg1384z00_995, BgL_arg1385z00_996); } 
BgL_resz00_992 = 
MAKE_PAIR(BgL_arg1380z00_993, BgL_arg1381z00_994); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_992);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2246zd2_471;
BgL_cdrzd2246zd2_471 = 
CDR(BgL_cdrzd2133zd2_424); 
if(
PAIRP(BgL_cdrzd2246zd2_471))
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1499;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1500;
BgL_auxz00_1500 = 
CDR(BgL_cdrzd2246zd2_471); 
BgL_testz00_1499 = 
NULLP(BgL_auxz00_1500); } 
if(BgL_testz00_1499)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1214z00_474;obj_t BgL_arg1215z00_475;
BgL_arg1214z00_474 = 
CAR(BgL_cdrzd2133zd2_424); 
BgL_arg1215z00_475 = 
CAR(BgL_cdrzd2246zd2_471); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_1013;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_1014;obj_t BgL_arg1381z00_1015;
BgL_arg1380z00_1014 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_1016;obj_t BgL_arg1385z00_1017;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1505;
BgL_auxz00_1505 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1214z00_474); 
BgL_arg1384z00_1016 = 
CAR(BgL_auxz00_1505); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_1019;
BgL_arg1392z00_1019 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1215z00_475, BgL_ez00_8, BEOA); 
BgL_arg1385z00_1017 = 
MAKE_PAIR(BgL_arg1392z00_1019, BNIL); } 
BgL_arg1381z00_1015 = 
MAKE_PAIR(BgL_arg1384z00_1016, BgL_arg1385z00_1017); } 
BgL_resz00_1013 = 
MAKE_PAIR(BgL_arg1380z00_1014, BgL_arg1381z00_1015); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_1013);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } }  else 
{ 
obj_t BgL_bodyz00_1520;obj_t BgL_argsz00_1518;obj_t BgL_namez00_1516;
BgL_namez00_1516 = 
CAR(BgL_carzd2137zd2_426); 
BgL_argsz00_1518 = 
CDR(BgL_carzd2137zd2_426); 
BgL_bodyz00_1520 = BgL_cdrzd2138zd2_427; 
BgL_bodyz00_416 = BgL_bodyz00_1520; 
BgL_argsz00_415 = BgL_argsz00_1518; 
BgL_namez00_414 = BgL_namez00_1516; 
goto BgL_tagzd2117zd2_417;} }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2261zd2_480;
BgL_cdrzd2261zd2_480 = 
CDR(BgL_cdrzd2133zd2_424); 
if(
PAIRP(BgL_cdrzd2261zd2_480))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_carzd2265zd2_482;
BgL_carzd2265zd2_482 = 
CAR(BgL_cdrzd2261zd2_480); 
if(
PAIRP(BgL_carzd2265zd2_482))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2270zd2_484;
BgL_cdrzd2270zd2_484 = 
CDR(BgL_carzd2265zd2_482); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1528;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1529;
BgL_auxz00_1529 = 
CAR(BgL_carzd2265zd2_482); 
BgL_testz00_1528 = 
(BgL_auxz00_1529==BGl_symbol2428z00zz__expander_definez00); } 
if(BgL_testz00_1528)
{ /* ./Eval/expddefine.scm 106 */
if(
PAIRP(BgL_cdrzd2270zd2_484))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2274zd2_487;
BgL_cdrzd2274zd2_487 = 
CDR(BgL_cdrzd2270zd2_484); 
if(
NULLP(BgL_cdrzd2274zd2_487))
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2284zd2_489;
BgL_cdrzd2284zd2_489 = 
CDR(BgL_xz00_7); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2289zd2_490;
BgL_cdrzd2289zd2_490 = 
CDR(BgL_cdrzd2284zd2_489); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1539;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1540;
BgL_auxz00_1540 = 
CDR(BgL_cdrzd2289zd2_490); 
BgL_testz00_1539 = 
NULLP(BgL_auxz00_1540); } 
if(BgL_testz00_1539)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1246z00_492;obj_t BgL_arg1249z00_493;
BgL_arg1246z00_492 = 
CAR(BgL_cdrzd2284zd2_489); 
BgL_arg1249z00_493 = 
CAR(BgL_cdrzd2289zd2_490); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_1048;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_1049;obj_t BgL_arg1381z00_1050;
BgL_arg1380z00_1049 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_1051;obj_t BgL_arg1385z00_1052;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1545;
BgL_auxz00_1545 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1246z00_492); 
BgL_arg1384z00_1051 = 
CAR(BgL_auxz00_1545); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_1054;
BgL_arg1392z00_1054 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1249z00_493, BgL_ez00_8, BEOA); 
BgL_arg1385z00_1052 = 
MAKE_PAIR(BgL_arg1392z00_1054, BNIL); } 
BgL_arg1381z00_1050 = 
MAKE_PAIR(BgL_arg1384z00_1051, BgL_arg1385z00_1052); } 
BgL_resz00_1048 = 
MAKE_PAIR(BgL_arg1380z00_1049, BgL_arg1381z00_1050); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_1048);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } }  else 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1555;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1556;
BgL_auxz00_1556 = 
CDR(BgL_cdrzd2261zd2_480); 
BgL_testz00_1555 = 
NULLP(BgL_auxz00_1556); } 
if(BgL_testz00_1555)
{ 
obj_t BgL_bodyz00_1563;obj_t BgL_argsz00_1561;obj_t BgL_namez00_1559;
BgL_namez00_1559 = 
CAR(BgL_cdrzd2133zd2_424); 
BgL_argsz00_1561 = 
CAR(BgL_cdrzd2270zd2_484); 
BgL_bodyz00_1563 = BgL_cdrzd2274zd2_487; 
BgL_bodyz00_416 = BgL_bodyz00_1563; 
BgL_argsz00_415 = BgL_argsz00_1561; 
BgL_namez00_414 = BgL_namez00_1559; 
goto BgL_tagzd2117zd2_417;}  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2307zd2_499;
BgL_cdrzd2307zd2_499 = 
CDR(BgL_xz00_7); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2312zd2_500;
BgL_cdrzd2312zd2_500 = 
CDR(BgL_cdrzd2307zd2_499); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1567;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1568;
BgL_auxz00_1568 = 
CDR(BgL_cdrzd2312zd2_500); 
BgL_testz00_1567 = 
NULLP(BgL_auxz00_1568); } 
if(BgL_testz00_1567)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1280z00_502;obj_t BgL_arg1281z00_503;
BgL_arg1280z00_502 = 
CAR(BgL_cdrzd2307zd2_499); 
BgL_arg1281z00_503 = 
CAR(BgL_cdrzd2312zd2_500); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_1075;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_1076;obj_t BgL_arg1381z00_1077;
BgL_arg1380z00_1076 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_1078;obj_t BgL_arg1385z00_1079;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1573;
BgL_auxz00_1573 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1280z00_502); 
BgL_arg1384z00_1078 = 
CAR(BgL_auxz00_1573); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_1081;
BgL_arg1392z00_1081 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1281z00_503, BgL_ez00_8, BEOA); 
BgL_arg1385z00_1079 = 
MAKE_PAIR(BgL_arg1392z00_1081, BNIL); } 
BgL_arg1381z00_1077 = 
MAKE_PAIR(BgL_arg1384z00_1078, BgL_arg1385z00_1079); } 
BgL_resz00_1075 = 
MAKE_PAIR(BgL_arg1380z00_1076, BgL_arg1381z00_1077); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_1075);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } } }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2325zd2_505;
BgL_cdrzd2325zd2_505 = 
CDR(BgL_xz00_7); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2330zd2_506;
BgL_cdrzd2330zd2_506 = 
CDR(BgL_cdrzd2325zd2_505); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1585;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1586;
BgL_auxz00_1586 = 
CDR(BgL_cdrzd2330zd2_506); 
BgL_testz00_1585 = 
NULLP(BgL_auxz00_1586); } 
if(BgL_testz00_1585)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1295z00_508;obj_t BgL_arg1296z00_509;
BgL_arg1295z00_508 = 
CAR(BgL_cdrzd2325zd2_505); 
BgL_arg1296z00_509 = 
CAR(BgL_cdrzd2330zd2_506); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_1095;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_1096;obj_t BgL_arg1381z00_1097;
BgL_arg1380z00_1096 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_1098;obj_t BgL_arg1385z00_1099;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1591;
BgL_auxz00_1591 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1295z00_508); 
BgL_arg1384z00_1098 = 
CAR(BgL_auxz00_1591); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_1101;
BgL_arg1392z00_1101 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1296z00_509, BgL_ez00_8, BEOA); 
BgL_arg1385z00_1099 = 
MAKE_PAIR(BgL_arg1392z00_1101, BNIL); } 
BgL_arg1381z00_1097 = 
MAKE_PAIR(BgL_arg1384z00_1098, BgL_arg1385z00_1099); } 
BgL_resz00_1095 = 
MAKE_PAIR(BgL_arg1380z00_1096, BgL_arg1381z00_1097); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_1095);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } } } }  else 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_cdrzd2348zd2_514;
BgL_cdrzd2348zd2_514 = 
CDR(BgL_cdrzd2133zd2_424); 
{ /* ./Eval/expddefine.scm 106 */
bool_t BgL_testz00_1602;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1603;
BgL_auxz00_1603 = 
CDR(BgL_cdrzd2348zd2_514); 
BgL_testz00_1602 = 
NULLP(BgL_auxz00_1603); } 
if(BgL_testz00_1602)
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1315z00_516;obj_t BgL_arg1316z00_517;
BgL_arg1315z00_516 = 
CAR(BgL_cdrzd2133zd2_424); 
BgL_arg1316z00_517 = 
CAR(BgL_cdrzd2348zd2_514); 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_resz00_1115;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1380z00_1116;obj_t BgL_arg1381z00_1117;
BgL_arg1380z00_1116 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1384z00_1118;obj_t BgL_arg1385z00_1119;
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_auxz00_1608;
BgL_auxz00_1608 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_arg1315z00_516); 
BgL_arg1384z00_1118 = 
CAR(BgL_auxz00_1608); } 
{ /* ./Eval/expddefine.scm 106 */
obj_t BgL_arg1392z00_1121;
BgL_arg1392z00_1121 = 
PROCEDURE_ENTRY(BgL_ez00_8)(BgL_ez00_8, BgL_arg1316z00_517, BgL_ez00_8, BEOA); 
BgL_arg1385z00_1119 = 
MAKE_PAIR(BgL_arg1392z00_1121, BNIL); } 
BgL_arg1381z00_1117 = 
MAKE_PAIR(BgL_arg1384z00_1118, BgL_arg1385z00_1119); } 
BgL_resz00_1115 = 
MAKE_PAIR(BgL_arg1380z00_1116, BgL_arg1381z00_1117); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_7, BgL_resz00_1115);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} }  else 
{ /* ./Eval/expddefine.scm 106 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_7);} } } 
}



/* internal-begin-expander */
obj_t BGl_internalzd2beginzd2expanderz00zz__expander_definez00(obj_t BgL_oldzd2expanderzd2_9)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 125 */
{ /* ./Eval/expddefine.scm 126 */
obj_t BgL_zc3anonymousza31397ze3z83_1276;
{ 
int BgL_auxz00_1623;int BgL_auxz00_1621;
BgL_auxz00_1623 = 
(int)(((long)1)); 
BgL_auxz00_1621 = 
(int)(((long)2)); 
BgL_zc3anonymousza31397ze3z83_1276 = 
make_fx_procedure(BGl_zc3anonymousza31397ze3z83zz__expander_definez00, BgL_auxz00_1621, BgL_auxz00_1623); } 
{ /* ./Eval/expddefine.scm 126 */
int BgL_auxz00_1626;
BgL_auxz00_1626 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31397ze3z83_1276, BgL_auxz00_1626, BgL_oldzd2expanderzd2_9); } 
return BgL_zc3anonymousza31397ze3z83_1276;} } 
}



/* <anonymous:1397> */
obj_t BGl_zc3anonymousza31397ze3z83zz__expander_definez00(obj_t BgL_envz00_1277, obj_t BgL_exprz00_1279, obj_t BgL_expanderz00_1280)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 126 */
{ /* ./Eval/expddefine.scm 127 */
obj_t BgL_oldzd2expanderzd2_1278;
{ /* ./Eval/expddefine.scm 127 */
int BgL_auxz00_1629;
BgL_auxz00_1629 = 
(int)(((long)0)); 
BgL_oldzd2expanderzd2_1278 = 
PROCEDURE_REF(BgL_envz00_1277, BgL_auxz00_1629); } 
{ 
obj_t BgL_exprz00_542;obj_t BgL_expanderz00_543;
BgL_exprz00_542 = BgL_exprz00_1279; 
BgL_expanderz00_543 = BgL_expanderz00_1280; 
{ /* ./Eval/expddefine.scm 127 */
obj_t BgL_resz00_545;
{ 
obj_t BgL_restz00_547;
if(
PAIRP(BgL_exprz00_542))
{ /* ./Eval/expddefine.scm 127 */
bool_t BgL_testz00_1634;
{ /* ./Eval/expddefine.scm 127 */
obj_t BgL_auxz00_1635;
BgL_auxz00_1635 = 
CAR(BgL_exprz00_542); 
BgL_testz00_1634 = 
(BgL_auxz00_1635==BGl_symbol2431z00zz__expander_definez00); } 
if(BgL_testz00_1634)
{ /* ./Eval/expddefine.scm 127 */
bool_t BgL_testz00_1638;
{ /* ./Eval/expddefine.scm 127 */
obj_t BgL_auxz00_1639;
BgL_auxz00_1639 = 
CDR(BgL_exprz00_542); 
BgL_testz00_1638 = 
NULLP(BgL_auxz00_1639); } 
if(BgL_testz00_1638)
{ /* ./Eval/expddefine.scm 127 */
obj_t BgL_procz00_1153;
BgL_procz00_1153 = BGl_symbol2431z00zz__expander_definez00; 
FAILURE(BgL_procz00_1153,BGl_string2427z00zz__expander_definez00,BgL_exprz00_542);}  else 
{ /* ./Eval/expddefine.scm 127 */
BgL_restz00_547 = 
CDR(BgL_exprz00_542); 
{ /* ./Eval/expddefine.scm 131 */
obj_t BgL_arg1423z00_558;obj_t BgL_arg1424z00_559;
BgL_arg1423z00_558 = BGl_symbol2431z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 132 */
obj_t BgL_arg1427z00_560;
{ /* ./Eval/expddefine.scm 132 */
obj_t BgL_arg1431z00_562;
if(
NULLP(BgL_restz00_547))
{ /* ./Eval/expddefine.scm 132 */
BgL_arg1431z00_562 = BNIL; }  else 
{ /* ./Eval/expddefine.scm 132 */
obj_t BgL_head1005z00_565;
BgL_head1005z00_565 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1003z00_566;obj_t BgL_tail1006z00_567;
BgL_l1003z00_566 = BgL_restz00_547; 
BgL_tail1006z00_567 = BgL_head1005z00_565; 
BgL_map1004z00_568:
if(
NULLP(BgL_l1003z00_566))
{ /* ./Eval/expddefine.scm 132 */
BgL_arg1431z00_562 = 
CDR(BgL_head1005z00_565); }  else 
{ /* ./Eval/expddefine.scm 132 */
obj_t BgL_newtail1007z00_570;
{ /* ./Eval/expddefine.scm 132 */
obj_t BgL_arg1444z00_572;
{ /* ./Eval/expddefine.scm 132 */
obj_t BgL_xz00_574;
BgL_xz00_574 = 
CAR(BgL_l1003z00_566); 
BgL_arg1444z00_572 = 
PROCEDURE_ENTRY(BgL_expanderz00_543)(BgL_expanderz00_543, BgL_xz00_574, BgL_expanderz00_543, BEOA); } 
BgL_newtail1007z00_570 = 
MAKE_PAIR(BgL_arg1444z00_572, BNIL); } 
SET_CDR(BgL_tail1006z00_567, BgL_newtail1007z00_570); 
{ 
obj_t BgL_tail1006z00_1656;obj_t BgL_l1003z00_1654;
BgL_l1003z00_1654 = 
CDR(BgL_l1003z00_566); 
BgL_tail1006z00_1656 = BgL_newtail1007z00_570; 
BgL_tail1006z00_567 = BgL_tail1006z00_1656; 
BgL_l1003z00_566 = BgL_l1003z00_1654; 
goto BgL_map1004z00_568;} } } } 
BgL_arg1427z00_560 = 
BGl_lambdazd2defineszd2zz__expander_definez00(BgL_arg1431z00_562); } 
BgL_arg1424z00_559 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1427z00_560, BNIL); } 
BgL_resz00_545 = 
MAKE_PAIR(BgL_arg1423z00_558, BgL_arg1424z00_559); } } }  else 
{ /* ./Eval/expddefine.scm 127 */
BgL_resz00_545 = 
PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_1278)(BgL_oldzd2expanderzd2_1278, BgL_exprz00_542, BgL_expanderz00_543, BEOA); } }  else 
{ /* ./Eval/expddefine.scm 127 */
BgL_resz00_545 = 
PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_1278)(BgL_oldzd2expanderzd2_1278, BgL_exprz00_542, BgL_expanderz00_543, BEOA); } } 
return 
BGl_replacez12z12zz__prognz00(BgL_exprz00_542, BgL_resz00_545);} } } } 
}



/* lambda-defines */
obj_t BGl_lambdazd2defineszd2zz__expander_definez00(obj_t BgL_bodyz00_10)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 141 */
{ 
obj_t BgL_oldformsz00_575;obj_t BgL_newformsz00_576;obj_t BgL_varsz00_577;obj_t BgL_setsz00_578;
BgL_oldformsz00_575 = BgL_bodyz00_10; 
BgL_newformsz00_576 = BNIL; 
BgL_varsz00_577 = BNIL; 
BgL_setsz00_578 = BNIL; 
BgL_loopz00_579:
if(
PAIRP(BgL_oldformsz00_575))
{ /* ./Eval/expddefine.scm 147 */
obj_t BgL_formz00_581;
BgL_formz00_581 = 
CAR(BgL_oldformsz00_575); 
{ /* ./Eval/expddefine.scm 148 */
bool_t BgL_test1455z00_582;
if(
PAIRP(BgL_formz00_581))
{ /* ./Eval/expddefine.scm 149 */
bool_t BgL_testz00_1671;
{ /* ./Eval/expddefine.scm 149 */
obj_t BgL_auxz00_1672;
BgL_auxz00_1672 = 
CAR(BgL_formz00_581); 
BgL_testz00_1671 = 
(BgL_auxz00_1672==BGl_symbol2429z00zz__expander_definez00); } 
if(BgL_testz00_1671)
{ /* ./Eval/expddefine.scm 149 */
BgL_test1455z00_582 = ((bool_t)0); }  else 
{ /* ./Eval/expddefine.scm 149 */
BgL_test1455z00_582 = ((bool_t)1); } }  else 
{ /* ./Eval/expddefine.scm 148 */
BgL_test1455z00_582 = ((bool_t)1); } 
if(BgL_test1455z00_582)
{ /* ./Eval/expddefine.scm 148 */
{ /* ./Eval/expddefine.scm 150 */
obj_t BgL_arg1457z00_583;obj_t BgL_arg1458z00_584;
BgL_arg1457z00_583 = 
CDR(BgL_oldformsz00_575); 
BgL_arg1458z00_584 = 
MAKE_PAIR(BgL_formz00_581, BgL_newformsz00_576); 
{ 
obj_t BgL_newformsz00_1679;obj_t BgL_oldformsz00_1678;
BgL_oldformsz00_1678 = BgL_arg1457z00_583; 
BgL_newformsz00_1679 = BgL_arg1458z00_584; 
BgL_newformsz00_576 = BgL_newformsz00_1679; 
BgL_oldformsz00_575 = BgL_oldformsz00_1678; 
goto BgL_loopz00_579;} } }  else 
{ /* ./Eval/expddefine.scm 148 */
{ /* ./Eval/expddefine.scm 154 */
obj_t BgL_arg1463z00_585;obj_t BgL_arg1464z00_586;obj_t BgL_arg1465z00_587;
BgL_arg1463z00_585 = 
CDR(BgL_oldformsz00_575); 
{ /* ./Eval/expddefine.scm 155 */
obj_t BgL_auxz00_1681;
{ /* ./Eval/expddefine.scm 155 */
obj_t BgL_auxz00_1682;
BgL_auxz00_1682 = 
CDR(BgL_formz00_581); 
BgL_auxz00_1681 = 
CAR(BgL_auxz00_1682); } 
BgL_arg1464z00_586 = 
MAKE_PAIR(BgL_auxz00_1681, BgL_varsz00_577); } 
{ /* ./Eval/expddefine.scm 156 */
obj_t BgL_arg1474z00_589;
{ /* ./Eval/expddefine.scm 156 */
obj_t BgL_arg1477z00_590;obj_t BgL_arg1478z00_591;
BgL_arg1477z00_590 = BGl_symbol2432z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 156 */
obj_t BgL_arg1481z00_592;obj_t BgL_arg1482z00_593;
{ /* ./Eval/expddefine.scm 156 */
obj_t BgL_auxz00_1686;
BgL_auxz00_1686 = 
CDR(BgL_formz00_581); 
BgL_arg1481z00_592 = 
CAR(BgL_auxz00_1686); } 
{ /* ./Eval/expddefine.scm 156 */
obj_t BgL_auxz00_1689;
{ /* ./Eval/expddefine.scm 156 */
obj_t BgL_auxz00_1690;
{ /* ./Eval/expddefine.scm 156 */
obj_t BgL_auxz00_1691;
BgL_auxz00_1691 = 
CDR(BgL_formz00_581); 
BgL_auxz00_1690 = 
CDR(BgL_auxz00_1691); } 
BgL_auxz00_1689 = 
CAR(BgL_auxz00_1690); } 
BgL_arg1482z00_593 = 
MAKE_PAIR(BgL_auxz00_1689, BNIL); } 
BgL_arg1478z00_591 = 
MAKE_PAIR(BgL_arg1481z00_592, BgL_arg1482z00_593); } 
BgL_arg1474z00_589 = 
MAKE_PAIR(BgL_arg1477z00_590, BgL_arg1478z00_591); } 
BgL_arg1465z00_587 = 
MAKE_PAIR(BgL_arg1474z00_589, BgL_setsz00_578); } 
{ 
obj_t BgL_setsz00_1701;obj_t BgL_varsz00_1700;obj_t BgL_oldformsz00_1699;
BgL_oldformsz00_1699 = BgL_arg1463z00_585; 
BgL_varsz00_1700 = BgL_arg1464z00_586; 
BgL_setsz00_1701 = BgL_arg1465z00_587; 
BgL_setsz00_578 = BgL_setsz00_1701; 
BgL_varsz00_577 = BgL_varsz00_1700; 
BgL_oldformsz00_575 = BgL_oldformsz00_1699; 
goto BgL_loopz00_579;} } } } }  else 
{ /* ./Eval/expddefine.scm 146 */
if(
NULLP(BgL_varsz00_577))
{ /* ./Eval/expddefine.scm 158 */
return BgL_bodyz00_10;}  else 
{ /* ./Eval/expddefine.scm 159 */
obj_t BgL_arg1501z00_601;
{ /* ./Eval/expddefine.scm 159 */
obj_t BgL_arg1505z00_603;obj_t BgL_arg1506z00_604;
{ /* ./Eval/expddefine.scm 159 */
obj_t BgL_arg1509z00_605;obj_t BgL_arg1511z00_606;
BgL_arg1509z00_605 = BGl_symbol2428z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 159 */
obj_t BgL_arg1514z00_607;
{ /* ./Eval/expddefine.scm 159 */
obj_t BgL_arg1518z00_608;
{ /* ./Eval/expddefine.scm 159 */
obj_t BgL_auxz00_1704;
BgL_auxz00_1704 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
bgl_reverse(BgL_setsz00_578), 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
bgl_reverse(BgL_newformsz00_576), BNIL)); 
BgL_arg1518z00_608 = 
MAKE_PAIR(BGl_symbol2431z00zz__expander_definez00, BgL_auxz00_1704); } 
BgL_arg1514z00_607 = 
MAKE_PAIR(BgL_arg1518z00_608, BNIL); } 
BgL_arg1511z00_606 = 
MAKE_PAIR(BgL_varsz00_577, BgL_arg1514z00_607); } 
BgL_arg1505z00_603 = 
MAKE_PAIR(BgL_arg1509z00_605, BgL_arg1511z00_606); } 
{ /* ./Eval/expddefine.scm 160 */
obj_t BgL_arg1537z00_616;
{ /* ./Eval/expddefine.scm 160 */
obj_t BgL_arg1541z00_618;
{ /* ./Eval/expddefine.scm 160 */
long BgL_arg1545z00_619;
BgL_arg1545z00_619 = 
bgl_list_length(BgL_varsz00_577); 
{ /* ./Eval/expddefine.scm 160 */
obj_t BgL_auxz00_1716;int BgL_auxz00_1714;
BgL_auxz00_1716 = 
BINT(((long)0)); 
BgL_auxz00_1714 = 
(int)(BgL_arg1545z00_619); 
BgL_arg1541z00_618 = 
make_vector(BgL_auxz00_1714, BgL_auxz00_1716); } } 
BgL_arg1537z00_616 = 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_arg1541z00_618); } 
BgL_arg1506z00_604 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1537z00_616, BNIL); } 
BgL_arg1501z00_601 = 
MAKE_PAIR(BgL_arg1505z00_603, BgL_arg1506z00_604); } 
return 
MAKE_PAIR(BgL_arg1501z00_601, BNIL);} } } } 
}



/* expand-eval-external-define */
obj_t BGl_expandzd2evalzd2externalzd2definezd2zz__expander_definez00(obj_t BgL_xz00_11, obj_t BgL_ez00_12)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 166 */
BGl_internalzd2definitionzf3z21zz__expander_definez00 = ((bool_t)1); 
{ /* ./Eval/expddefine.scm 168 */
obj_t BgL_ez00_621;
BgL_ez00_621 = 
BGl_internalzd2beginzd2expanderz00zz__expander_definez00(BgL_ez00_12); 
{ /* ./Eval/expddefine.scm 169 */
obj_t BgL_resz00_623;
{ /* ./Eval/expddefine.scm 170 */
bool_t BgL_test1552z00_624;
if(
PAIRP(BgL_xz00_11))
{ /* ./Eval/expddefine.scm 170 */
bool_t BgL_testz00_1726;
{ /* ./Eval/expddefine.scm 170 */
obj_t BgL_auxz00_1727;
BgL_auxz00_1727 = 
CDR(BgL_xz00_11); 
BgL_testz00_1726 = 
PAIRP(BgL_auxz00_1727); } 
if(BgL_testz00_1726)
{ /* ./Eval/expddefine.scm 170 */
obj_t BgL_auxz00_1730;
{ /* ./Eval/expddefine.scm 170 */
obj_t BgL_auxz00_1731;
BgL_auxz00_1731 = 
CDR(BgL_xz00_11); 
BgL_auxz00_1730 = 
CDR(BgL_auxz00_1731); } 
BgL_test1552z00_624 = 
PAIRP(BgL_auxz00_1730); }  else 
{ /* ./Eval/expddefine.scm 170 */
BgL_test1552z00_624 = ((bool_t)0); } }  else 
{ /* ./Eval/expddefine.scm 170 */
BgL_test1552z00_624 = ((bool_t)0); } 
if(BgL_test1552z00_624)
{ /* ./Eval/expddefine.scm 171 */
obj_t BgL_typez00_625;
{ /* ./Eval/expddefine.scm 171 */
obj_t BgL_auxz00_1736;
BgL_auxz00_1736 = 
CDR(BgL_xz00_11); 
BgL_typez00_625 = 
CAR(BgL_auxz00_1736); } 
{ /* ./Eval/expddefine.scm 173 */
bool_t BgL_test1553z00_626;
if(
PAIRP(BgL_typez00_625))
{ /* ./Eval/expddefine.scm 173 */
obj_t BgL_auxz00_1741;
BgL_auxz00_1741 = 
CAR(BgL_typez00_625); 
BgL_test1553z00_626 = 
SYMBOLP(BgL_auxz00_1741); }  else 
{ /* ./Eval/expddefine.scm 173 */
BgL_test1553z00_626 = ((bool_t)0); } 
if(BgL_test1553z00_626)
{ /* ./Eval/expddefine.scm 173 */
{ /* ./Eval/expddefine.scm 174 */
obj_t BgL_arg1555z00_627;obj_t BgL_arg1556z00_628;
BgL_arg1555z00_627 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 174 */
obj_t BgL_arg1559z00_629;obj_t BgL_arg1560z00_630;
BgL_arg1559z00_629 = 
CAR(BgL_typez00_625); 
{ /* ./Eval/expddefine.scm 175 */
obj_t BgL_arg1564z00_631;
{ /* ./Eval/expddefine.scm 175 */
obj_t BgL_arg1568z00_633;obj_t BgL_arg1569z00_634;
BgL_arg1568z00_633 = BGl_symbol2428z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 175 */
obj_t BgL_arg1572z00_635;obj_t BgL_arg1573z00_636;
BgL_arg1572z00_635 = 
BGl_loopz00zz__expander_definez00(BgL_ez00_621, 
CDR(BgL_typez00_625)); 
{ /* ./Eval/expddefine.scm 176 */
obj_t BgL_arg1581z00_638;
{ /* ./Eval/expddefine.scm 176 */
obj_t BgL_arg1585z00_640;
{ /* ./Eval/expddefine.scm 176 */
obj_t BgL_auxz00_1748;
{ /* ./Eval/expddefine.scm 176 */
obj_t BgL_auxz00_1749;
BgL_auxz00_1749 = 
CDR(BgL_xz00_11); 
BgL_auxz00_1748 = 
CDR(BgL_auxz00_1749); } 
BgL_arg1585z00_640 = 
BGl_normaliza7ezd2prognz75zz__prognz00(BgL_auxz00_1748); } 
BgL_arg1581z00_638 = 
PROCEDURE_ENTRY(BgL_ez00_621)(BgL_ez00_621, BgL_arg1585z00_640, BgL_ez00_621, BEOA); } 
BgL_arg1573z00_636 = 
MAKE_PAIR(BgL_arg1581z00_638, BNIL); } 
BgL_arg1569z00_634 = 
MAKE_PAIR(BgL_arg1572z00_635, BgL_arg1573z00_636); } 
BgL_arg1564z00_631 = 
MAKE_PAIR(BgL_arg1568z00_633, BgL_arg1569z00_634); } 
BgL_arg1560z00_630 = 
MAKE_PAIR(BgL_arg1564z00_631, BNIL); } 
BgL_arg1556z00_628 = 
MAKE_PAIR(BgL_arg1559z00_629, BgL_arg1560z00_630); } 
BgL_resz00_623 = 
MAKE_PAIR(BgL_arg1555z00_627, BgL_arg1556z00_628); } }  else 
{ /* ./Eval/expddefine.scm 173 */
if(
SYMBOLP(BgL_typez00_625))
{ /* ./Eval/expddefine.scm 177 */
{ /* ./Eval/expddefine.scm 178 */
obj_t BgL_arg1593z00_643;obj_t BgL_arg1594z00_644;
BgL_arg1593z00_643 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 179 */
obj_t BgL_arg1597z00_645;
{ /* ./Eval/expddefine.scm 179 */
obj_t BgL_arg1600z00_646;
{ /* ./Eval/expddefine.scm 179 */
obj_t BgL_arg1604z00_648;
{ /* ./Eval/expddefine.scm 179 */
obj_t BgL_auxz00_1763;
{ /* ./Eval/expddefine.scm 179 */
obj_t BgL_auxz00_1764;
BgL_auxz00_1764 = 
CDR(BgL_xz00_11); 
BgL_auxz00_1763 = 
CDR(BgL_auxz00_1764); } 
BgL_arg1604z00_648 = 
BGl_normaliza7ezd2prognz75zz__prognz00(BgL_auxz00_1763); } 
BgL_arg1600z00_646 = 
PROCEDURE_ENTRY(BgL_ez00_621)(BgL_ez00_621, BgL_arg1604z00_648, BgL_ez00_621, BEOA); } 
BgL_arg1597z00_645 = 
MAKE_PAIR(BgL_arg1600z00_646, BNIL); } 
BgL_arg1594z00_644 = 
MAKE_PAIR(BgL_typez00_625, BgL_arg1597z00_645); } 
BgL_resz00_623 = 
MAKE_PAIR(BgL_arg1593z00_643, BgL_arg1594z00_644); } }  else 
{ /* ./Eval/expddefine.scm 177 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_11);} } } }  else 
{ /* ./Eval/expddefine.scm 170 */
FAILURE(BGl_string2430z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_11);} } 
{ /* ./Eval/expddefine.scm 170 */

BGl_internalzd2definitionzf3z21zz__expander_definez00 = ((bool_t)0); 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_11, BgL_resz00_623);} } } } 
}



/* expand-eval-define-inline */
BGL_EXPORTED_DEF obj_t BGl_expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t BgL_xz00_13, obj_t BgL_ez00_14)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 189 */
{ 
obj_t BgL_funz00_658;obj_t BgL_formalsz00_659;obj_t BgL_bodyz00_660;
if(
PAIRP(BgL_xz00_13))
{ /* ./Eval/expddefine.scm 190 */
obj_t BgL_cdrzd2400zd2_665;
BgL_cdrzd2400zd2_665 = 
CDR(BgL_xz00_13); 
if(
PAIRP(BgL_cdrzd2400zd2_665))
{ /* ./Eval/expddefine.scm 190 */
obj_t BgL_carzd2404zd2_667;obj_t BgL_cdrzd2405zd2_668;
BgL_carzd2404zd2_667 = 
CAR(BgL_cdrzd2400zd2_665); 
BgL_cdrzd2405zd2_668 = 
CDR(BgL_cdrzd2400zd2_665); 
if(
PAIRP(BgL_carzd2404zd2_667))
{ /* ./Eval/expddefine.scm 190 */
if(
NULLP(BgL_cdrzd2405zd2_668))
{ /* ./Eval/expddefine.scm 190 */
FAILURE(BGl_string2433z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_13);}  else 
{ /* ./Eval/expddefine.scm 190 */
BgL_funz00_658 = 
CAR(BgL_carzd2404zd2_667); 
BgL_formalsz00_659 = 
CDR(BgL_carzd2404zd2_667); 
BgL_bodyz00_660 = BgL_cdrzd2405zd2_668; 
{ /* ./Eval/expddefine.scm 192 */
obj_t BgL_resz00_673;
{ /* ./Eval/expddefine.scm 192 */
obj_t BgL_arg1657z00_674;obj_t BgL_arg1658z00_675;
BgL_arg1657z00_674 = BGl_symbol2429z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 192 */
obj_t BgL_arg1661z00_676;obj_t BgL_arg1662z00_677;
{ /* ./Eval/expddefine.scm 192 */
obj_t BgL_auxz00_1788;
BgL_auxz00_1788 = 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_funz00_658); 
BgL_arg1661z00_676 = 
CAR(BgL_auxz00_1788); } 
{ /* ./Eval/expddefine.scm 193 */
obj_t BgL_arg1670z00_679;
{ /* ./Eval/expddefine.scm 193 */
obj_t BgL_arg1674z00_681;
{ /* ./Eval/expddefine.scm 193 */
obj_t BgL_arg1678z00_682;obj_t BgL_arg1679z00_683;
BgL_arg1678z00_682 = BGl_symbol2428z00zz__expander_definez00; 
{ /* ./Eval/expddefine.scm 193 */
obj_t BgL_arg1682z00_684;obj_t BgL_arg1683z00_685;
BgL_arg1682z00_684 = 
BGl_loopz00zz__expander_definez00(BgL_ez00_14, BgL_formalsz00_659); 
{ /* ./Eval/expddefine.scm 193 */
obj_t BgL_auxz00_1792;
BgL_auxz00_1792 = 
BGl_normaliza7ezd2prognz75zz__prognz00(BgL_bodyz00_660); 
BgL_arg1683z00_685 = 
MAKE_PAIR(BgL_auxz00_1792, BNIL); } 
BgL_arg1679z00_683 = 
MAKE_PAIR(BgL_arg1682z00_684, BgL_arg1683z00_685); } 
BgL_arg1674z00_681 = 
MAKE_PAIR(BgL_arg1678z00_682, BgL_arg1679z00_683); } 
BgL_arg1670z00_679 = 
PROCEDURE_ENTRY(BgL_ez00_14)(BgL_ez00_14, BgL_arg1674z00_681, BgL_ez00_14, BEOA); } 
BgL_arg1662z00_677 = 
MAKE_PAIR(BgL_arg1670z00_679, BNIL); } 
BgL_arg1658z00_675 = 
MAKE_PAIR(BgL_arg1661z00_676, BgL_arg1662z00_677); } 
BgL_resz00_673 = 
MAKE_PAIR(BgL_arg1657z00_674, BgL_arg1658z00_675); } 
return 
BGl_replacez12z12zz__prognz00(BgL_xz00_13, BgL_resz00_673);} } }  else 
{ /* ./Eval/expddefine.scm 190 */
FAILURE(BGl_string2433z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_13);} }  else 
{ /* ./Eval/expddefine.scm 190 */
FAILURE(BGl_string2433z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_13);} }  else 
{ /* ./Eval/expddefine.scm 190 */
FAILURE(BGl_string2433z00zz__expander_definez00,BGl_string2427z00zz__expander_definez00,BgL_xz00_13);} } } 
}



/* _expand-eval-define-inline */
obj_t BGl__expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(obj_t BgL_envz00_1281, obj_t BgL_xz00_1282, obj_t BgL_ez00_1283)
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 189 */
return 
BGl_expandzd2evalzd2definezd2inlinezd2zz__expander_definez00(BgL_xz00_1282, BgL_ez00_1283);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__expander_definez00()
{ AN_OBJECT;
{ /* ./Eval/expddefine.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)48291), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)57114), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)53290), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)13855), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)21694), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)6615), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)49269), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)29164), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)51785), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)35070), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)247), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)21875), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)104413), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)50132), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)63121), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)13988), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)45566), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)18972), "__expander_define"); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)9608), "__expander_define"); 
return 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)60776), "__expander_define");} 
}

